// out: ../../css/views/resources-views.css, compress: false, sourceMap: false, autoprefixer: false, groupmedia: false
// variables & mixings
@import "../variables";

/**
RESOURCES - MAIN PAGE
**/
.cern-view-display-page.cern-view-display-resources,
.card-grid {
  & > h1 {
    margin: 3rem 0 !important;
    text-align: center;
    text-transform: uppercase;
  }

  form.views-exposed-form .form-inline {
    margin: 0 -10px;

    .form-item {
      vertical-align: top;

      & > input {
        display: block;
      }

      &:not(:first-child) {
        margin: 10px;

        input {
          width: 100%;
        }

        div.select-wrapper select {
          width: 100%;
        }
      }
    }

    .form-actions {
      margin: 10px;
      vertical-align: bottom;
      text-align: right;

      button {
        width: 100%;
      }
    }
  }

  .view-header {
    font-weight: bold;

    span {
      color: #0855a0;
    }
  }

  .view-content {
    margin: 1rem -8px;

    .views-row {
      width: calc(33.3% - 16px);
      margin: 8px;
      float: left;

      .component-preview-cards {
        margin: 0;
        width: 100%;
      }
    }
  }
}

@media screen and (max-width: 991px) {
  .cern-view-display-page.cern-view-display-resources,
  .card-grid {
    .view-content {
      margin: 1rem -8px;

      .views-row {
        width: calc(50% - 16px);
        margin: 8px;
        float: left;
      }
    }
  }
}

@media screen and (max-width: 767px) {
  .cern-view-display-page.cern-view-display-resources,
  .card-grid {
    .view-content {
      margin: 1rem 0;

      .views-row {
        width: 100%;
        margin: 8px 0;
      }
    }
  }
}

@media only screen and (max-width: 991px) {
  .cern-view-display-page.cern-view-display-resources,
  .card-grid {
    form.views-exposed-form .form-inline {
      .form-item {
        display: inline-block;

        &:first-child {
          margin: 10px 5px 10px 5px;

          &:before {
            left: 0px;
          }
        }
      }

      .form-actions {
        display: inline-block;
        text-align: right;
        width: calc(100% - 20px);
      }
    }
  }
}

@media only screen and (max-width: 500px) {
  .cern-view-display-page.cern-view-display-resources,
  .card-grid {
    form.views-exposed-form .form-inline {
      margin: 0;

      .form-item {
        &:first-child {
          & > input {
            width: 100%;
          }

          &:before {
            left: -5px;
          }
        }

        &:not(:first-child),
        &:first-child {
          width: 100%;
          margin-left: 0;
          margin-right: 0;
          display: block;
        }
      }

      .form-actions {
        display: block;
        width: 100%;
        margin: 0px;

        button {
          width: auto;
        }
      }
    }
  }
}

/**
RESOURCES - Also on topic
**/
.cern-view-display-block.cern-view-display-more_about {
  .view-header {
    h2 {
      font-size: 28px;
      font-family: "opensans-regular";
    }
  }

  .view-content {
    margin: 0 -4px;

    .views-row {
      margin: 0 0 16px;

      .views-field .field-content .box-pattern {
        float: none;

        h3 {
          &.standard-title {
            a {
              span {
                text-overflow: ellipsis;
                white-space: nowrap;
                overflow: hidden;
              }
            }
          }
        }
      }
    }
  }
}

@media only screen and (max-width: 992px) {
  .cern-view-display-block.cern-view-display-more_about .view-header {
    margin-bottom: 25px;
  }

  .cern-view-display-block.cern-view-display-more_about .view-content {
    margin: 0;

    .views-row {
      margin: 0 0 16px 0 !important;

      .views-field {
        .field-content {
          display: block;

          .box-pattern {
            float: none !important;
          }
        }
      }
    }
  }
}

/**
RESOURCES - Related Resources
**/
.cern-view-display-block.cern-view-display-related_resources {
  .view-header {
    h2 {
      text-transform: uppercase;
      font-size: 30px;
      text-align: center;
      margin-bottom: 3rem;
    }
  }

  .view-footer {
    text-align: right;
    margin-top: 3rem;

    a {
      position: relative;
      padding-right: 15px;
      font-weight: bold;

      &:after {
        //color: #f2a530;
        @include transition(all 0.3s ease-in-out 0s);
        content: "\j";
        @include font-size(4);
        font-family: "cern-icons";
        -moz-osx-font-smoothing: grayscale;
        -webkit-font-smoothing: antialiased;
        display: inline-block;
        vertical-align: bottom;
        position: absolute;
        top: 1px;
        right: 0px;
        left: auto;
        line-height: 19px;
        width: 9px;
        text-indent: -16px;
      }

      &:hover:after {
        right: -5px;
        left: auto;
      }
    }
  }

  .view-content {
    margin: 1rem -8px;

    .views-row {
      width: calc(33.3% - 16px);
      margin: 8px;
      float: left;

      .component-preview-cards {
        margin: 0;
        width: 100%;
      }
    }
  }
}

@media only screen and (max-width: 991px) {
  .cern-view-display-block.cern-view-display-related_resources {
    .view-content {
      .views-row {
        width: calc(100% - 16px) !important;
        height: 210px !important;

        .component-preview-cards {
          height: 100% !important;
        }
      }
    }
  }
}

/**
RESOURCES - MEGA MENU - BLOCK VIEW
**/
/* @media only screen and (min-width: 1200px) {
    .cern-dropdown-menu.row > div:first-child {
        height: 100%;
        max-height: 1000px;
        .views-element-container {
            height: 100%;

        }
    }
} */
@media only screen and (min-width: 1200px) {
  body {
    .cern-view-display-block.view-resource-menu-content {
      height: calc(100vh - (110px + 20px));
    }
  }

  body.cern-toolbar {
    .cern-view-display-block.view-resource-menu-content {
      height: calc(100vh - (150px + 20px));
    }
  }

  body.toolbar-fixed {
    .cern-view-display-block.view-resource-menu-content {
      height: calc(100vh - (150px + 20px));
    }
  }

  body.toolbar-fixed.toolbar-horizontal.toolbar-tray-open {
    .cern-view-display-block.view-resource-menu-content {
      height: calc(100vh - (190px + 20px));
    }
  }

  body.cern-toolbar.toolbar-fixed {
    .cern-view-display-block.view-resource-menu-content {
      height: calc(100vh - (190px + 20px));
    }
  }

  body.toolbar-fixed.toolbar-horizontal.toolbar-tray-open.cern-toolbar {
    .cern-view-display-block.view-resource-menu-content {
      height: calc(100vh - (230px + 20px));
    }
  }
}

.cern-view-display-block.view-resource-menu-content {
  @media only screen and (min-width: 1200px) {
    margin-bottom: -30px;
  }

  //height: 90%;
  .more-link a,
  & > h1 {
    color: rgba(255, 255, 255, 0.5);
    font-family: sourcesans-regular;
    font-size: 16px;
    margin-left: 8px;
    margin-top: 2rem;
    margin-bottom: 2rem;
    display: block;
    text-align: left !important;
  }

  .view-content {
    //height: 100%;
    .views-row {
      width: calc(50% - 16px);
      height: 210px;
      /* @media only screen and (min-width: 1200px) {
        height: calc(45% - 16px);
      } */
      float: left;
      margin: 8px;

      .views-field {
        height: 100%;
      }

      .component-preview-cards {
        margin: 0 !important;
        width: 100%;
        height: 100%;

        .component-preview-cards__box_wrapper {
          height: 100%;
        }
      }

      &:first-child {
        height: 436px;

        /* @media only screen and (min-width: 1200px) {
          height: calc(90% - 16px);
        } */
        .component-preview-cards {
          min-height: 436px;
          height: 100%;
          margin: 0 !important;
          width: 100%;

          .component-preview-cards__box_wrapper {
            //height: auto;
            height: 100%;
          }
        }
      }
    }
  }
}

@media only screen and (max-width: 991px) {
  .cern-view-display-block.view-resource-menu-content {
    .view-content {
      .views-row {
        width: calc(100% - 16px) !important; //height: 210px !important;

        .component-preview-cards {
          height: 100% !important;
        }
      }
    }
  }
}

/**
RESOURCES - MEGA MENU - VIEW BLOCK
**/
@media only screen and (min-width: 1200px) {
  body {
    .cern-view-display-block.view-cern-news-menu-featured {
      height: calc(100vh - (110px + 20px));
    }
  }

  body.cern-toolbar {
    .cern-view-display-block.view-cern-news-menu-featured {
      height: calc(100vh - (150px + 20px));
    }
  }

  body.toolbar-fixed {
    .cern-view-display-block.view-cern-news-menu-featured {
      height: calc(100vh - (150px + 20px));
    }
  }

  body.toolbar-fixed.toolbar-horizontal.toolbar-tray-open {
    .cern-view-display-block.view-cern-news-menu-featured {
      height: calc(100vh - (190px + 20px));
    }
  }

  body.cern-toolbar.toolbar-fixed {
    .cern-view-display-block.view-cern-news-menu-featured {
      height: calc(100vh - (190px + 20px));
    }
  }

  body.toolbar-fixed.toolbar-horizontal.toolbar-tray-open.cern-toolbar {
    .cern-view-display-block.view-cern-news-menu-featured {
      height: calc(100vh - (230px + 20px));
    }
  }
}

.cern-view-display-block.view-cern-news-menu-featured {
  @media only screen and (min-width: 1200px) {
    margin-bottom: -30px;
  }

  //height: 90%;
  .view-header {
    color: rgba(255, 255, 255, 0.5);
    font-family: sourcesans-regular;
    font-size: 16px;
    margin-left: 8px;
    margin-top: 2rem;
    margin-bottom: 2rem;
    display: block;
  }

  .view-content {
    //height: 100%;
    .views-row {
      width: calc(50% - 16px);
      min-height: 210px;
      float: left;
      margin: 8px;

      .component-preview-cards {
        margin: 0 !important;
        width: 100%;
        height: 100%;
      }

      .component-preview-cards {
        .component-preview-cards__box_wrapper {
          height: 100%;

          .preview-cards__subtext {
            display: block;
            width: 100%;
            overflow: hidden;
            white-space: nowrap;
            text-overflow: ellipsis;

            .preview-card__category,
            .preview-card__date,
            .preview-card__author {
              cursor: default;
              display: inline;

              a {
                cursor: default;
              }
            }
          }
        }
      }

      &:first-child {
        min-height: 446px;
        height: 446px;

        /* @media only screen and (min-width: 1200px) {
          height: calc(90% - 16px);
        } */
        .component-preview-cards {
          min-height: 446px;
          margin: 0 !important;
          width: 100%;
          height: 100%;

          .component-preview-cards__box_wrapper {
            height: auto;
          }
        }
      }

      &:nth-child(2) {
        height: 210px;
        /* @media only screen and (min-width: 1200px) {
          height: calc(45% - 16px);
        } */
      }

      &:nth-child(3),
      &:nth-child(4) {
        height: 102px;
        /* @media only screen and (min-width: 1200px) {
          height: calc(22.5% - 16px);
        } */
      }

      &:nth-child(3),
      &:nth-child(4) {
        min-height: 102px;

        .preview-card__avatar {
          display: none;
        }

        .component-preview-cards {
          height: 100%;
          min-height: 102px;
          margin: 0 !important;
          width: 100%;
          background-image: none !important;
          background-color: rgba(0, 0, 0, 0.14) !important;
          padding-right: 10px;

          .component-preview-cards__box_wrapper {
            height: auto;

            h3.standard-title {
              position: relative;

              a {
                display: block;
                height: 3rem;
                overflow: hidden;
                white-space: nowrap;
                text-overflow: ellipsis;

                &:before {
                  content: none;
                }
              }

              &:before {
                content: "\j";
                @include font-size(4);
                @include transition(all 0.6s ease-in-out 0s);
                font-family: "cern-icons";
                -moz-osx-font-smoothing: grayscale;
                -webkit-font-smoothing: antialiased;
                display: inline-block;
                vertical-align: bottom;
                position: absolute;
                top: -3px;
                left: -10px;
                line-height: 25px;
                width: 12px;
                text-indent: -25px;
              }

              &:hover:before {
                left: 0;
              }
            }

            .preview-cards__subtext {
              display: block;
              width: 100%;
              overflow: hidden;
              white-space: nowrap;
              text-overflow: ellipsis;

              .preview-card__category,
              .preview-card__date,
              .preview-card__author {
                cursor: default;
                display: inline;

                a {
                  cursor: default;
                }
              }
            }
          }

          .component-preview-cards__veil {
            display: none;
          }
        }
      }
    }
  }
}

@media only screen and (max-width: 991px) {
  .cern-view-display-block.view-cern-news-menu-featured {
    .view-content {
      .views-row {
        width: calc(100% - 16px) !important;
        height: 210px !important;

        .component-preview-cards {
          height: 100% !important;
        }
      }
    }
  }
}

// STORY RESOURCES
.cern-view-display-block.cern-view-display-story_resources {
  //padding-top: 50px;
  position: relative;

  .view-header {
    p {
      text-align: right;

      a.cbox-element-page {
        font-weight: bold;

        span {
          font-family: "cern-icons";
          -moz-osx-font-smoothing: grayscale;
          -webkit-font-smoothing: antialiased;
          font-size: 35px;
          font-weight: bold;
          line-height: 35px;
          position: relative;
          left: -10px;
          top: 11px;
        }
      }
    }
  }

  .view-content {
    @media only screen and (min-width: 992px) {
      .owl-stage-outer {
        max-height: 470px;
      }
    }

    @media only screen and (min-width: 501px) {
      .owl-stage-outer {
        max-height: 690px;
      }
    }

    @media only screen and (max-width: 500px) {
      .owl-stage-outer {
        max-height: 1365px;
      }
    }

    .owl-dots {
      margin-top: 3rem;
    }

    .owl-item.active {
      .carousel-cern-item {
        margin: 0 -8px;
      }
    }

    .owl-item {
      .views-row {
        float: left;
        margin: 8px;

        .views-field,
        .box-pattern {
          height: 100% !important;
          width: 100%;
          margin: 0;
          cursor: pointer;

          .component-preview-cards__box_wrapper {
            .component-preview-cards__box {
              *:not(.component-preview-cards__category-icon-vocabulary) {
                display: none;
              }
            }

            //display: none;
          }
        }

        .cbox-element {
          display: block;
          width: 100%;
          height: 100%;
          position: relative;
          z-index: 2;
        }

        .cbox-element {
          display: none;
        }
      }

      .views-row:nth-child(1) {
        height: 436px;
        width: calc(33.33% - 16px);

        .component-preview-cards__category-icon-vocabulary {
          position: absolute;
          top: 160px;
          width: 99%;
        }

        @media only screen and (max-width: 991px) {
          .component-preview-cards__category-icon-vocabulary {
            top: 45px;
          }
        }
      }

      .views-row:nth-child(2),
      .views-row:nth-child(3) {
        height: 210px;
        width: calc(33.33% - 16px);

        .component-preview-cards__category-icon-vocabulary {
          position: absolute;
          top: 45px;
          width: 99%;
        }
      }

      .views-row:nth-child(4),
      .views-row:nth-child(5),
      .views-row:nth-child(6) {
        height: 210px;
        width: calc(22.22% - 16px);

        .component-preview-cards__category-icon-vocabulary {
          position: absolute;
          top: 45px;
          width: 99%;
        }
      }
    }
  }
}

@media only screen and (max-width: 991px) {
  .cern-view-display-block.cern-view-display-story_resources {
    .views-row {
      width: calc(50% - 16px) !important;
      height: 210px !important;
    }
  }
}

@media only screen and (max-width: 500px) {
  .cern-view-display-block.cern-view-display-story_resources {
    .views-row {
      width: calc(100% - 16px) !important;
      height: 210px !important;
    }
  }
}
